﻿using NetworkResurrector.Application.Events;
using System;

namespace NetworkResurrector.Application.Commands
{
    public class PingMachine : Command<MachinePinged>
    {
        public string IPAddress { get; set; }

        public PingMachine(string ipAddress) : base(new Metadata() { CorrelationId = Guid.NewGuid() })
        {
            IPAddress = ipAddress;
        }
    }
}
